use gloo_net::http::Request;

use crate::spotify_types::*;

pub async fn fetch() -> Result<Vec<(TrackObject, UserProfile)>, gloo_net::Error> {
    Ok(Request::get("https://spotify.api.ilia.moe/status")
        .send()
        .await?
        .json()
        .await?)
}
